Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0048343
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajorhave not tried2022-01-03 11:222022-02-11 09:47
ReportershuehnerView Statuspublic 
Assigned Tomeriem_azaf 
PriorityhighResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0048343: update log4j to its latest version (2.17.1)

Descriptionlog4j should be updated to its latest version 2.17.1

The upgrade should be done on the openbravo repository and also on backoffice-test and mobile-test repositories
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0048279 closedalostale update log4j to its latest version (2.17.0) 

-  Notes
(0134194)
hgbot (developer)
2022-01-11 09:36

Merge Request created: https://gitlab.com/openbravo/ci/backoffice-test/-/merge_requests/24 [^]
(0134197)
hgbot (developer)
2022-01-11 09:44

Merge Request created: https://gitlab.com/openbravo/ci/mobile-test/-/merge_requests/153 [^]
(0134201)
hgbot (developer)
2022-01-11 11:23

Merge Request created: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/495 [^]
(0134715)
shuehner (administrator)
2022-02-01 14:51

Note: Same fix also pending in this repo:
https://gitlab.com/openbravo/product/pmods/openbravohw-axisc3 [^]
(0134725)
hgbot (developer)
2022-02-02 11:47

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/ci/backoffice-test [^]
Changeset: 88ef568287efb4c5a46e1d88ed643deec6050605
Author: Meriem Azaf <meriem.azaf@openbravo.com>
Date: 02-02-2022 11:45:36
URL: https://gitlab.com/openbravo/ci/backoffice-test/-/commit/88ef568287efb4c5a46e1d88ed643deec6050605 [^]

Fixed ISSUE-48343: Update log4j to its latest version (2.17.1) in backoffice

---
A lib/log4j-api-2.17.1.jar
A lib/log4j-core-2.17.1.jar
M .classpath.template
M build.xml
---
(0134726)
hgbot (developer)
2022-02-02 11:47

Merge request merged: https://gitlab.com/openbravo/ci/backoffice-test/-/merge_requests/24 [^]
(0134728)
hgbot (developer)
2022-02-02 12:09

Merge request merged: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/495 [^]
(0134729)
hgbot (developer)
2022-02-02 12:09

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/openbravo [^]
Changeset: 8de02d8ef8038fd14dd0868f7a2e39217d2ab946
Author: Meriem Azaf <meriem.azaf@openbravo.com>
Date: 02-02-2022 12:09:19
URL: https://gitlab.com/openbravo/product/openbravo/-/commit/8de02d8ef8038fd14dd0868f7a2e39217d2ab946 [^]

Fixed ISSUE-48343: Update log4j to its latest version (2.17.1)

---
A lib/runtime/log4j-1.2-api-2.17.1.jar
A lib/runtime/log4j-api-2.17.1.jar
A lib/runtime/log4j-core-2.17.1.jar
A lib/runtime/log4j-slf4j-impl-2.17.1.jar
A lib/runtime/log4j-web-2.17.1.jar
M legal/Licensing.txt
M src-core/.classpath
M src-trl/.classpath
M src-wad/.classpath
R lib/runtime/log4j-web-2.17.0.jar
---
(0134730)
hgbot (developer)
2022-02-02 12:14

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/ci/mobile-test [^]
Changeset: 5a5cd3527122b1f01372cd87b421365fa537a5a8
Author: Meriem Azaf <meriem.azaf@openbravo.com>
Date: 02-02-2022 12:13:51
URL: https://gitlab.com/openbravo/ci/mobile-test/-/commit/5a5cd3527122b1f01372cd87b421365fa537a5a8 [^]

Fixed ISSUE-48343: Update log4j to its latest version (2.17.1) in mobile test repositories

---
A lib/runtime/log4j-api-2.17.1.jar
A lib/runtime/log4j-core-2.17.1.jar
M .classpath
M mobile-test.iml
---
(0134731)
hgbot (developer)
2022-02-02 12:14

Merge request merged: https://gitlab.com/openbravo/ci/mobile-test/-/merge_requests/153 [^]
(0134732)
AugustoMauch (manager)
2022-02-02 12:15

Reopening until missing change in https://gitlab.com/openbravo/product/pmods/openbravohw-axisc3 [^]
(0134733)
hgbot (developer)
2022-02-02 14:16

Merge Request created: https://gitlab.com/openbravo/product/pmods/openbravohw-axisc3/-/merge_requests/6 [^]
(0134918)
hgbot (developer)
2022-02-11 09:47

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/ci/backoffice-test [^]
Changeset: 88ef568287efb4c5a46e1d88ed643deec6050605
Author: Meriem Azaf <meriem.azaf@openbravo.com>
Date: 02-02-2022 11:45:36
URL: https://gitlab.com/openbravo/ci/backoffice-test/-/commit/88ef568287efb4c5a46e1d88ed643deec6050605 [^]

Fixed ISSUE-48343: Update log4j to its latest version (2.17.1) in backoffice

---
A lib/log4j-api-2.17.1.jar
A lib/log4j-core-2.17.1.jar
M .classpath.template
M build.xml
---

- Issue History
Date Modified Username Field Change
2022-01-03 11:22 shuehner New Issue
2022-01-03 11:22 shuehner Assigned To => Triage Platform Base
2022-01-03 11:22 shuehner Modules => Core
2022-01-03 11:22 shuehner Triggers an Emergency Pack => No
2022-01-03 11:22 shuehner Issue generated from 0048279
2022-01-03 11:22 shuehner Relationship added related to 0048279
2022-01-05 13:59 AugustoMauch Status new => acknowledged
2022-01-05 15:44 AugustoMauch Description Updated View Revisions
2022-01-11 09:36 hgbot Note Added: 0134194
2022-01-11 09:44 hgbot Note Added: 0134197
2022-01-11 11:23 hgbot Note Added: 0134201
2022-02-01 14:51 shuehner Note Added: 0134715
2022-02-02 11:47 hgbot Resolution open => fixed
2022-02-02 11:47 hgbot Status acknowledged => closed
2022-02-02 11:47 hgbot Note Added: 0134725
2022-02-02 11:47 hgbot Note Added: 0134726
2022-02-02 12:09 hgbot Note Added: 0134728
2022-02-02 12:09 hgbot Fixed in Version => PR22Q2
2022-02-02 12:09 hgbot Note Added: 0134729
2022-02-02 12:14 hgbot Note Added: 0134730
2022-02-02 12:14 hgbot Note Added: 0134731
2022-02-02 12:15 AugustoMauch Note Added: 0134732
2022-02-02 12:15 AugustoMauch Status closed => new
2022-02-02 12:15 AugustoMauch Resolution fixed => open
2022-02-02 12:15 AugustoMauch Fixed in Version PR22Q2 =>
2022-02-02 13:14 AugustoMauch Assigned To Triage Platform Base => meriem_azaf
2022-02-02 13:14 AugustoMauch Status new => scheduled
2022-02-02 14:16 hgbot Note Added: 0134733
2022-02-11 09:47 hgbot Resolution open => fixed
2022-02-11 09:47 hgbot Status scheduled => closed
2022-02-11 09:47 hgbot Note Added: 0134918


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker